<?php
/*
 * Plugin Name: Wilcity Service Hosting Validation
 * Plugin URI: https://wilcity.com
 * Author: Wiloke
 * Author URI: https://wiloke.com
 * Version: 1.0
 */

add_action('admin_menu', function () {
    add_menu_page(
      'Wilcity Service Hosting Validation',
      'Wilcity Service Hosting Validation',
      'administrator',
      'wilcityservice-hosting-validation',
      'wilcityServiceHostingValidation'
    );
});

function wilcityServiceHostingValidation()
{
    ?>
    <table class="form-table">
        <tbody>
        <tr>
            <th scope="row">CURL</th>
            <td><?php echo function_exists('curl_version') ? 'INSTALLED' : 'CURL IS NOT SUPPORTED'; ?></td>
        </tr>

        <tr>
            <th scope="row">ZipArchive</th>
            <td><?php echo class_exists('ZipArchive') ? 'INSTALLED' : 'ZipArchive IS NOT SUPPORTED'; ?></td>
        </tr>
        </tbody>
    </table>
    <?php
}
